Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl
Class AtmospherePushHandler

    java.lang.Object
      org.richfaces.application.push.impl.AtmospherePushHandler

All Implemented Interfaces:
  org.atmosphere.cpr.AtmosphereHandler<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse>

Direct Known Subclasses:
  PushHandlerImpl

    public abstract class AtmospherePushHandler

extends java.lang.Object
implements org.atmosphere.cpr.AtmosphereHandler<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse>

Author:
  Nick Belaevski

Constructor Summary
`AtmospherePushHandler()`

Method Summary
`protected abstract org.richfaces.application.push.Request` | `createRequest(org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> resource, org.richfaces.application.push.Session session)`
`void` | `destroy()`
`org.richfaces.application.push.SessionManager` | `getSessionManager()`
`protected java.util.concurrent.ExecutorService` | `getWorker()`
`void` | `init(javax.servlet.ServletConfig servletConfig)`
`void` | `onRequest(org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> resource)`
`void` | `onStateChange(org.atmosphere.cpr.AtmosphereResourceEvent<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtmospherePushHandler

    public AtmospherePushHandler()

Method Detail

### getSessionManager

    public org.richfaces.application.push.SessionManager getSessionManager()

### onRequest

    public void onRequest(org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> resource)
                   throws java.io.IOException

  Specified by:
    `onRequest` in interface `org.atmosphere.cpr.AtmosphereHandler<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse>`
  Throws:
    `java.io.IOException`

### onStateChange

    public void onStateChange(org.atmosphere.cpr.AtmosphereResourceEvent<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> event)
                       throws java.io.IOException

  Specified by:
    `onStateChange` in interface `org.atmosphere.cpr.AtmosphereHandler<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse>`
  Throws:
    `java.io.IOException`

### createRequest

    protected abstract org.richfaces.application.push.Request createRequest(org.atmosphere.cpr.AtmosphereResource<javax.servlet.http.HttpServletRequest,javax.servlet.http.HttpServletResponse> resource,
                                                                            org.richfaces.application.push.Session session)

### getWorker

    protected java.util.concurrent.ExecutorService getWorker()

### init

    public void init(javax.servlet.ServletConfig servletConfig)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.